# Uses of Class
org.apache.cxf.io.CachedWriter

Packages that use CachedWriter
Package
Description
org.apache.cxf.feature.transform
org.apache.cxf.io

- ## Uses of CachedWriter in org.apache.cxf.feature.transform

  Subclasses of CachedWriter in org.apache.cxf.feature.transform
  Modifier and Type
  Class
  Description
  `static class`
  `XSLTOutInterceptor.XSLTCachedWriter`
  Constructors in org.apache.cxf.feature.transform with parameters of type CachedWriter
  Modifier
  Constructor
  Description
  ``
  `XSLTStreamWriter(Templates xsltTemplate, CachedWriter cachedWriter, XMLStreamWriter delegateXWriter, XMLStreamWriter origXWriter)`

- ## Uses of CachedWriter in org.apache.cxf.io

  Methods in org.apache.cxf.io with parameters of type CachedWriter
  Modifier and Type
  Method
  Description
  `void`
  CachedWriterCallback.`onClose(CachedWriter os)`
  `void`
  CachedWriterCallback.`onFlush(CachedWriter os)`